Bug 995593 - [KDE] libreoffice does not honour icons and page colours
[KDE] libreoffice does not honour icons and page colours
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 15:29 EDT by Peter Gückel
Modified: 2015-07-13 13:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 20:25:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gückel 2013-08-09 15:29:16 EDT
Description of problem:
Since upgrading to the following versions of libreoffice, the kde (or any other) menu icons no longer show in the menu bar. Only the cruddy hicolor icons work, no matter what the setting.

Also, page background colours, cell colours, etc are not honoured, but font colours are honoured. When I display the spreadsheet in calligra-sheets, it looks like it is supposed to. 

Version-Release number of selected component (if applicable):
libreoffice-core-4.1.0.4-5.fc19.x86_64
libreoffice-kde-4.1.0.4-5.fc19.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
This worked until the last upgrade of libreoffice from updates-testing.

I changed the firefox setting to NOT allow pages to choose their own colours. I am not sure to what extent the firefox settings influence libreoffice appearance (I am not using any themes).

I have also changed the KDE colour scheme to a dark (easy on the eyes) one.
Comment 1 Peter Gückel 2013-08-10 10:25:43 EDT
I just upgraded to:

libreoffice-kde-4.1.0.4-6.fc19.x86_64
libreoffice-core-4.1.0.4-6.fc19.x86_64

No change.

I logged out and back in, just to be sure. No change. The cruddy icons and the lack of adherence to the spreadsheet colours persists. When I right-click on a cell and examine the format, the proper colours are indicated, but the spreadsheet does not use them.
Comment 2 Peter Gückel 2013-08-14 01:06:14 EDT
In Gnome, it is possible to change the icon set and the page colurs of spreadsheets are honoured.

In KDE, both of the above work, but only when a light colour scheme is chosen. When dark (eye-friendly low strain or dark colour schemes are used, the badness persists unabated and incorrigibly).
Comment 3 Peter Gückel 2013-11-15 20:25:15 EST
I don't think this is worth pursuing. It was only when using dark coloured desktop themes in Fedora 19. I haven't tried it with Fedora 20ß yet, which is what I now use.

I think I will close this.
Comment 4 Jan Pokorný 2014-01-14 10:30:39 EST
re [comment 3]:
> It was only when using dark coloured desktop themes in Fedora 19

Heh, have a look at [bug 1053023].

Note You need to log in before you can comment on or make changes to this bug.